Subject: Re: bug#56870: company-dabbrev variable documentation

From: uzibalqa <[email-masked]>
Date: Mon, 01 Aug 2022 21:32:00 +0000

------- Original Message -------
On Monday, August 1st, 2022 at 9:24 PM, Matt Armstrong <[email-masked]> wrote:

> uzibalqa [email-masked] writes:
>
> > I am setting company-dabbrev variables
> >
> > (setq company-dabbrev-other-buffers 'all)
> > (setq company-dabbrev-ignore-case 'keep-prefix)
> >
> > The documentation for the variables, says
> >
> > If ‘all’, search all other buffers, except the ignored ones.
> >
> > I find the documentation confusing because nowhere does it say that on
> > should use 'all rather than all or "all".
>
>
> I can understand your confusion.
>
> When working at the level of Emacs Lisp, keep a few things in mind:
>
> a) Generally, in Emacs Lisp help, if you see something like ‘all’ it
> means a lisp level symbol. This could be a function name, variable, or
> some other symbol. This is part of the project's conventions, described
> here:
> https://www.gnu.org/software/emacs/manual/html_node/elisp/Documentation-Tips.html
>
> b) When lisp level interfaces expect strings they generally say so, and
> the examples use quotes like "this".
>
> c) A bare all (without any quotes at all), is just a word, and not
> a Lisp level function or variable.
>
> Hope that helps!

It is a shame that documentation does not come with example.  It is what is much lacking.